> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xsdr.app/llms.txt
> Use this file to discover all available pages before exploring further.

# List Matches



## OpenAPI

````yaml /openapi.json post /matches
openapi: 3.0.0
info:
  description: Real-time event monitoring infrastructure for agents.
  title: XSDR API
  version: '1'
servers:
  - description: Production
    url: https://api.xsdr.app
security:
  - apiKey: []
paths:
  /matches:
    post:
      summary: List Matches
      operationId: listMatches
      requestBody:
        content:
          application/json:
            schema:
              properties:
                limit:
                  format: int64
                  title: |
                    default 10
                  type: integer
                platform:
                  type: string
                rule_id:
                  type: string
              required:
                - rule_id
                - platform
                - limit
              type: object
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  matches:
                    items:
                      $ref: '#/components/schemas/api.MatchItem'
                    type: array
                required:
                  - matches
                type: object
          description: Success response
        default:
          $ref: '#/components/responses/APIError'
components:
  schemas:
    api.MatchItem:
      properties:
        created_at:
          type: string
        id:
          type: string
        payload:
          type: object
        platform:
          type: string
        platform_post_id:
          type: string
      required:
        - id
        - platform
        - platform_post_id
        - payload
        - created_at
      type: object
  responses:
    APIError:
      content:
        application/json:
          schema:
            externalDocs:
              url: https://pkg.go.dev/encore.dev/beta/errs#Error
            properties:
              code:
                description: Error code
                example: not_found
                externalDocs:
                  url: https://pkg.go.dev/encore.dev/beta/errs#ErrCode
                type: string
              details:
                description: Error details
                type: object
              message:
                description: Error message
                type: string
            title: APIError
            type: object
      description: Error response
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Authorization

````